Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class AbstractTableBaseRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.AbstractRowsRenderer
                  org.richfaces.renderkit.SortingFilteringRowsRenderer
                      org.richfaces.renderkit.AbstractTableBaseRenderer

All Implemented Interfaces:
  org.ajax4jsf.model.DataVisitor

Direct Known Subclasses:
  AbstractTableRenderer, ColumnGroupRenderer

    public abstract class AbstractTableBaseRenderer

extends SortingFilteringRowsRenderer

Author:
  Anton Belevich

Field Summary
`static String` | `BREAK_ROW_BEFORE`
`protected static String` | `CELL_CLASS_KEY`
`static String` | `COLUMN_CLASS`
`protected static String` | `FIRST_ROW_CLASS_KEY`
`static String` | `ROW_CLASS`
`static String` | `ROW_CLASS_KEY`

Constructor Summary
`AbstractTableBaseRenderer()`

Method Summary
`void` | `encodeColumn(javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, javax.faces.component.UIColumn component, RowHolder rowHolder)`
`void` | `encodeColumnEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, String parentId)`
`void` | `encodeColumnStart(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, String parentId, javax.faces.component.UIComponent component)`
`void` | `encodeFakeRow(javax.faces.context.FacesContext facesContext, RowHolderBase rowHolder)`
`void` | `encodeFirstRowEnd(javax.faces.context.ResponseWriter writer)`
`void` | `encodeFirstRowStart(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, String parentId, int currentRow, javax.faces.component.UIComponent component)`
`void` | `encodeRowEnd(javax.faces.context.ResponseWriter writer)`
`void` | `encodeRowStart(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, String parentId, int currentRow, javax.faces.component.UIComponent component)`
`protected void` | `encodeStyle(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String predefinedStyles)`
`void` | `encodeStyleClass(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String styleClassAttribute, String styleClass)`
`protected String` | `getCellClass(javax.faces.context.FacesContext context, String id)`
`protected String` | `getCellElement(javax.faces.context.FacesContext context, String id)`
`protected int` | `getColumnsCount(Iterator<javax.faces.component.UIComponent> col)`
`protected String` | `getFirstRowClass(javax.faces.context.FacesContext context, String id)`
`protected String` | `getRowClass(javax.faces.context.FacesContext context, String id)`
`protected boolean` | `isEmpty(String style)`
`protected boolean` | `isEmptyAttr(javax.faces.component.UIComponent component, String attribute)`
`protected void` | `saveRowStyles(javax.faces.context.FacesContext context, String id, String firstRowClass, String rowClass, String cellClass)`
`protected void` | `setCellElement(javax.faces.context.FacesContext context, String id, String element)`

Methods inherited from class org.richfaces.renderkit.SortingFilteringRowsRenderer
`decodeFiltering, decodeSorting, decodeSortingFiltering, updateAttribute`

Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer
`createRowHolder, doCleanup, doEncodeChildren, encodeRow, encodeRows, get, getColumnClass, getColumnClasses, getRendersChildren, getRowClass, getRowClassAttribute, getRowClasses, process, processRows, put, renderRowHandlers`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROW_CLASS_KEY

    public static final String ROW_CLASS_KEY

See Also:
  Constant Field Values

### BREAK_ROW_BEFORE

    public static final String BREAK_ROW_BEFORE

See Also:
  Constant Field Values

### COLUMN_CLASS

    public static final String COLUMN_CLASS

See Also:
  Constant Field Values

### ROW_CLASS

    public static final String ROW_CLASS

See Also:
  Constant Field Values

### FIRST_ROW_CLASS_KEY

    protected static final String FIRST_ROW_CLASS_KEY

See Also:
  Constant Field Values

### CELL_CLASS_KEY

    protected static final String CELL_CLASS_KEY

See Also:
  Constant Field Values

Constructor Detail

### AbstractTableBaseRenderer

    public AbstractTableBaseRenderer()

Method Detail

### encodeColumn

    public void encodeColumn(javax.faces.context.FacesContext context,
                             javax.faces.context.ResponseWriter writer,
                             javax.faces.component.UIColumn component,
                             RowHolder rowHolder)
                      throws IOException

  Throws:
    `IOException`

### encodeColumnStart

    public void encodeColumnStart(javax.faces.context.ResponseWriter writer,
                                  javax.faces.context.FacesContext context,
                                  String parentId,
                                  javax.faces.component.UIComponent component)
                           throws IOException

  Throws:
    `IOException`

### encodeColumnEnd

    public void encodeColumnEnd(javax.faces.context.ResponseWriter writer,
                                javax.faces.context.FacesContext context,
                                String parentId)
                         throws IOException

  Throws:
    `IOException`

### encodeFirstRowStart

    public void encodeFirstRowStart(javax.faces.context.ResponseWriter writer,
                                    javax.faces.context.FacesContext context,
                                    String parentId,
                                    int currentRow,
                                    javax.faces.component.UIComponent component)
                             throws IOException

  Throws:
    `IOException`

### encodeFirstRowEnd

    public void encodeFirstRowEnd(javax.faces.context.ResponseWriter writer)
                           throws IOException

  Throws:
    `IOException`

### encodeRowStart

    public void encodeRowStart(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               String parentId,
                               int currentRow,
                               javax.faces.component.UIComponent component)
                        throws IOException

  Throws:
    `IOException`

### encodeRowEnd

    public void encodeRowEnd(javax.faces.context.ResponseWriter writer)
                      throws IOException

  Throws:
    `IOException`

### getFirstRowClass

    protected String getFirstRowClass(javax.faces.context.FacesContext context,
                                      String id)

### getRowClass

    protected String getRowClass(javax.faces.context.FacesContext context,
                                 String id)

### getCellClass

    protected String getCellClass(javax.faces.context.FacesContext context,
                                  String id)

### getCellElement

    protected String getCellElement(javax.faces.context.FacesContext context,
                                    String id)

### setCellElement

    protected void setCellElement(javax.faces.context.FacesContext context,
                                  String id,
                                  String element)

### saveRowStyles

    protected void saveRowStyles(javax.faces.context.FacesContext context,
                                 String id,
                                 String firstRowClass,
                                 String rowClass,
                                 String cellClass)

### encodeStyleClass

    public void encodeStyleClass(javax.faces.context.ResponseWriter writer,
                                 javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 String styleClassAttribute,
                                 String styleClass)
                          throws IOException

  Throws:
    `IOException`

### isEmptyAttr

    protected boolean isEmptyAttr(javax.faces.component.UIComponent component,
                                  String attribute)

### encodeStyle

    protected void encodeStyle(javax.faces.context.ResponseWriter writer,
                               javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component,
                               String predefinedStyles)
                        throws IOException

  Throws:
    `IOException`

### isEmpty

    protected boolean isEmpty(String style)

### getColumnsCount

    protected int getColumnsCount(Iterator<javax.faces.component.UIComponent> col)

### encodeFakeRow

    public void encodeFakeRow(javax.faces.context.FacesContext facesContext,
                              RowHolderBase rowHolder)
                       throws IOException

  Overrides:
    `encodeFakeRow` in class `AbstractRowsRenderer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.